/***************************************************************************
 *   Copyright (C) 2005-2006 by Georg Hennig                               *
 *   Email: georg.hennig@web.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KLISTVIEWITEMSINGLE_H_
#define _KLISTVIEWITEMSINGLE_H_

#include <qlistview.h>

class KListView;
class KFileItemExt;
class QPainter;
class QColorGroup;
class QColor;

class KListViewItemSingle : public QListViewItem
{
  public:
    KListViewItemSingle( KListView *parent, KFileItemExt *_item, KListViewItemSingle *_brother );
    ~KListViewItemSingle();

    QString key( int column, bool ) const;

    void paintCell ( QPainter *p, const QColorGroup &cg, int column, int width, int alignment );

    KFileItemExt *item;
    KListViewItemSingle *brother;

    QColor color;
};

#endif
